!> \file module_choix-hemin40-0.4.f90
!! Ce module permet de choisir quels package on veut utiliser
!! 
!<

!> \namespace MODULE_CHOIX
!! Ce module permet de choisir quels package on veut utiliser
!! \author CatRitz
!! \date ...
!! @note Used modules:
!! @note   - use lect_topo_hemin40    
!! @note   - use lect_clim_act_hemin40
!! @note   - use climat_forcage_mod
!! @note   - use no_lakes
!! @note   - use isostasie_mod  
!! @note   - use deformation_mod
!! @note   - use  prop_thermiques_ice
!! @note   - use eau_basale
!! @note   - use sliding_Bindschadler
!! @note   - use dragging_hwat_contmaj
!! @note   - use eq_ellip_sgbsv_mod
!! @note   - use calving_frange
!! @note   - use equat_adv_diff_2D        
!! @note   - use bmelt_nor_regions 
!! @note   - use fake_nor
!! @note   - use out_profile  
!! @note   - use out_cptr    
!! @note   - use out_hz       
!! @note   - use output_hemin40_mod
!! @note   - use printtable
!<

MODULE MODULE_CHOIX

!--------------Lecture topo ------------------------
! use lect_topo_heino      ! pour Heino
! use lect_topo_anteis    ! pour l'antarctique 40 km
use lect_topo_hemin40    ! pour l'hemisphere nord 40 km
!use lect_topo_eurasie   ! pour l'eurasie  (toute resolutions)

!--------------Lecture climat ref ------------------
! Le climat de ref si necessaire est maintenant lu par le module de climat directement
!use lect_clim_act_anteis
!use lect_clim_act_hemin40 ! pour l'hemisphere nord et l'eurasie
! use  climat_heino

!--------------Module climat ---------------
!use climat_forcage_mois_mod ! forcage mensuel GCM 1 Snapshot Fev 2015
!use climat_Grice2sea_years_mod ! forcage avec SMB type MAR Fev2015
use climat_coupl_atm_mod ! couplage iLOVECLIM

! Anciens modules pas encore valides
!!!!!!use climat_perturb_mod ! pour simule climat equilibre type Loveclim
!!!!!!use climat_forcage_stat_mois_mod  ! climat constant mensuel GCMs
!!!!!!use climat_forcage_mod ! pour cycle force GCM avec index
!!!!!!use climat_forcage_insolation_mod ! methode JB multi-snapshots mensuelle mais pour un etat stationnaire avec correction topo GCM => GRISLI
!!!!!!use climat_synthes_mod
!!!!!!use climat_profil_mod
!!!!!!use climat_regions_delta

use ablation_mod ! calcul de l'ablation (PDD ou autre methode)
!use no_ablation  ! pas de calcul de l'ablation => lecture fichier SMB (necessaire avec climat_Grice2sea_years_mod)

! pas de lacs proglaciaires
use no_lakes

! suivi des traceurs ou pas ?
!use tracer_mod  ! probablement pas compatible avec Hemin-40 actuellement
use notracer_mod

!--------------Choix isostasie----------------------
use isostasie_mod    ! module permettant de calculer la deflexion isostasique
!use noisostasie_mod ! module pour ne pas avoir d'isostasie


!--------------Module Physique---------------------
!use deformation_mod         ! module concernant les lois de deformation
use deformation_mod_2lois   ! module concernant les lois de deformation

! eau basale
use eau_basale

! sliding- dragging
!use module sliding_vitbal
use sliding_Bindschadler
!use sliding_dragging_heino    ! loi de glissement heino : mis dans diffusiv : 


!use dragging_vitbil
!use dragging_hwatstream
!use dragging_hwat_contmaj ! frottement basal catherine grisliv8 ice stream peu actifs
use dragging_hwat_sedim
!use dragging_hwat_cont

!------------ spinup -----------------------------------
use no_spinup           ! spinup=0
!use spinup_vitbil         ! plusieurs variantes de spinup : inclue le dragging
                          ! enlever le use dragging dans ce cas l

! use eq_elliptique_mod ! ancienne version (remplimat-5)
use eq_ellip_sgbsv_mod ! nouvelle version juillet 2008

! calving
!use calving_vincent ! ancienne version
use calving_frange

! choix resolution de la conservation de la masse
!-----------------------------------------------
!use equat_adv_diff_2D          ! conservation masse avec advection-diffusion
use equat_adv_diff_2D_vect      ! le vecteur est maintenant dans l'appel


!--------------Fusion basale------------------------
!use bmelt_ant_regions ! pour l'Antarctique avec rgions
use bmelt_nor_regions ! pour le nord avec rgions
!use bmelt_nor_depth   ! pour le nord avec profondeur d'eau


! fake -------fausses routines pour compatibilits
! use fake_heino
! use fake_ant
use fake_nor
!-------------- Outputs-----------------------------
!
use out_profile  !profils
!use out_cptr     ! fichier de reprise 
use out_hz       ! module de sorties snapshot dans un plan horizontal

!-----Suivi temporel
use output_hemin40_mod
! use output_antarcti_mod
! use output_heino
!-----debugage...
use printtable


end module MODULE_CHOIX
